#include "cairot.h"
#include <cairo/cairo.h>
#include <pango/pangocairo.h>
#include <math.h>
#include <stdio.h>

void draw(cairot_window_t window)
{
  int W, H; cairot_get_window_size(window, &W, &H);
  cairo_t* cr = cairo_for(window);

  /* erase the window */
  cairo_set_source_rgb(cr, 1,1,1);
  cairo_rectangle(cr, 0, 0, W, H);
  cairo_fill(cr);

  PangoFontDescription *font_description = pango_font_description_new ();
  pango_font_description_set_family (font_description, "sans");
  pango_font_description_set_weight (font_description, PANGO_WEIGHT_BOLD);
  pango_font_description_set_absolute_size (font_description, 32 * PANGO_SCALE);

  PangoLayout *layout = pango_cairo_create_layout (cr);
  pango_layout_set_font_description (layout, font_description);
  pango_layout_set_text (layout, "www.cairographics.org", -1);

  cairo_set_source_rgb (cr, 0, 0, 0);
  cairo_move_to (cr, 10.0, 50.0);
  pango_cairo_show_layout (cr, layout);

  g_object_unref (layout);
  pango_font_description_free (font_description);
}

int main(int argc, char** argv)
{
  cairot_set_draw(draw);
  cairot_window_t window = cairot_create_window(300, 300);
  cairot_set_window_name(window, argv[0]);
  cairot_set_window_state(window, CAIROT_STATE_MAPPED);
  return cairot_run();
}
